/*
 * An example plugin that shows sending to contexts
 *
 * $Copyright(c) 2013 Progress Software Corporation (PSC). All rights reserved.$
 * $Copyright (c) 2013-2014 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG
 *
 * $Revision: 249541 $ $Date: 2015-03-09 12:42:24 +0100 (Mon, 09 Mar 2015) $
 */

import com.apama.epl.plugin.Context;
import com.apama.epl.plugin.Correlator;

/**
	Demonstrates passing contexts around and sending events
*/
public class SendPlugin
{
	public static void sendEventToChannel(String event, String channel)
	{
		// Send the event to the channel
		Correlator.sendTo(event, channel);
	}
	public static void sendEventTo(String event, Context context)
	{
		// Get the current context we're running in
		Context current = Context.getCurrent();

		// For some reason we don't want to let you do this. 
		// An exception will terminate the monitor instance
		if (current.equals(context)) 
		{
			throw new IllegalArgumentException("Please don't use this function to send events to the current context!");
		}

		// Send the event to the other context
		Correlator.sendTo(event, context);
	}
}
