/*
 * ComplexEvent.java
 *
 * Class which defines a ComplexEvent, with a monitorscript equivalent:
 *
 *   event ComplexEvent {
 *     dictionary <string, dictionary <string, sequence<SimpleEvent> > > complex;
 *   }
 *
 * $Copyright(c) 2005 - 2006 Progress Software Corporation. All Rights Reserved.$ 
 * $Copyright (c) 2013, 2019 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$ 
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG 
 */

import java.util.Map;
import java.util.HashMap;
import com.apama.jmon.Event;
import com.apama.jmon.annotation.EventType;

@EventType(description = "Event which contains a field with a complex structure")
public class ComplexEvent extends Event {
	/**define ID as this class extends serializable class Event */
	private static final long serialVersionUID = 1L;
	/** Event field */
	public Map<String, Map<String, SimpleEvent[]>> complex;
	/**
	* No argument constructor
	*/
	public ComplexEvent() {
		this(new HashMap<String, Map<String, SimpleEvent[]>>());
	}


	/**
	* Construct a ComplexEvent object and set the instance variable complex.
	*
	* @param complex The dictionary/Map to use as the field value
	*/
	public ComplexEvent(Map<String, Map<String, SimpleEvent[]>> complex) {
		this.complex = complex;
	}

}
